import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { NgForm } from '@angular/forms';
export declare class SubmitDirective implements OnInit, OnDestroy {
    private ngForm;
    uiSubmit: EventEmitter<any>;
    private sub;
    constructor(ngForm: NgForm);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private markAsTouched(group);
}
